Page MenuHomePhabricator

Orphaned redirect revisions appear when viewing contribs in mobile
Closed, ResolvedPublic

Description

When one views the contribs in mobile, such as in Ammodramus's contribs, edit summaries for orphaned revisions with no associated title appear. The same thing occurs for the original creator of any redirect that was overwritten during a page move prior to T106119 being resolved and since T55687 (formerly Bugzilla 53687) was resolved. The orphaned revisions do not appear in the desktop version (see Ammodramus's contribs for example), so they should not appear when viewing the contribs in mobile either.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2016, 8:05 PM
ovasileva triaged this task as Normal priority.Nov 23 2016, 5:15 PM
Jdlrobson lowered the priority of this task from Normal to Low.Apr 17 2017, 10:54 PM
Jdlrobson moved this task from Backlog to Tracking on the MobileFrontend board.
Jdlrobson added a project: patch-welcome.
Jdlrobson added a subscriber: Jdlrobson.

This is because we override the contributions page due to the desktop version not being mobile friendly which we'd rather not do.
We're unlikely to have time to focus on this but patches welcome if anyone can find an easy way to address this.

Likely to be blocked on fixing this the proper way - T122305.

GeoffreyT2000 closed this task as Resolved.Feb 15 2019, 5:28 PM
GeoffreyT2000 claimed this task.

Fixed with T199066.